/*
 * UDSRoutineControl.c
 *
 *  Created on: 2020年4月29日
 *      Author: LXG
 */

#include "UDSInterface.h"


//501
uint8 UDS_RoutineSysDosQunInterface501( uint8 *UDSRecvUBP,uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * 代码实现
	 * UDSRecvUBP: 接收UDS数据数组指针(在RID为501中只为1字节数组，取值范围:为0/1)。
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
//502
uint8 UDS_RoutineDosQunInterface502( uint8 *UDSRecvUBP,uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * 代码实现
	 * UDSRecvUBP: 接收UDS数据数组指针。
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
//503
uint8 UDS_RoutineDosQunIntInterface503(uint8 UDSRoutine)
{
	uint8 numNRC=0;
	/*
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */

	return numNRC;
}
//504
uint8 UDS_RoutineSystemEmptyingInterface504(uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}

//505
uint8 UDS_RoutineSCRCompleteTest505( uint8 *UDSRecvUBP,uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * 代码实现
	 * UDSRecvUBP: 接收UDS数据数组指针。
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
//507
uint8 UDS_RoutineSysPreSprayTestInterface507(uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
//508
uint8 UDS_RoutinePressureBulidUpSprayInterface508(uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
//509
uint8 UDS_RoutineSprayPhaseInterface509(uint8 *UDSRecvUBP,uint8 UDSRoutine,uint8 *TxUDSDataUIP,uint16 *TxUDSDataLengthUBP)
{
	uint8 numNRC=0;
	/*
	 * 代码实现
	 * UDSRecvUBP: 接收UDS数据数组指针。
	 * UDSRoutine:  0x31服务子功能，取值范围：01/02/03
	 * TxUDSDataUIP:  数据发送数组指针。
	 * TxUDSDataLengthUBP: 数据长度指针。
	 * numNRC:0 – success执行成功，发送缓存中正响应命令； others – failed执行失败，发送负响应代码为返回值的负响应命令
	 */
	return numNRC;
}
